Results 1 to 3 of 3
  1. #1
    Join Date
    Apr 2008
    Posts
    29

    Arrow Unanswered: java.sql.SQLException: No suitable driver

    ------------------------------------------------------
    Guys

    [1/8/09 8:37:10:654 EST] 00000019 SystemOut O 2009-01-08 08:37:10,652 log4j:ERROR - Failed to connect to jdbc:db2:AAUD2305
    java.sql.SQLException: No suitable driver

    [1/8/09 8:37:10:656 EST] 00000019 SystemOut O 2009-01-08 08:37:10,655 log4j:ERROR - Call to LogDBStoreFactory.init() failed for database: AAUD2305
    java.sql.SQLException: No suitable driver
    -------------------------------------------------------
    I am trying to connect cognos 8.1 to udb 9.1(FP4) which is on remote box.
    Cognos uses 9.1 client(Type 2 arch) to connect to 9.1 server.

    All my profiles are correctly set & pointing to 9.1,whenever i re-start JVM (on which cognos is deployed) ,i get above error.

    Does that mean udb 9.1 is not compatible with cognos 8.1?

    What exactly this error indicates?

    Regards
    Abhi

  2. #2
    Join Date
    Jun 2003
    Location
    Toronto, Canada
    Posts
    5,516
    Provided Answers: 1
    Quote Originally Posted by ak835

    What exactly this error indicates?
    It indicates that you are attempting to use the JDBC driver which cannot be found in the classpath. The driver type is determined by the JDBC URI, which you did not post.
    ---
    "It does not work" is not a valid problem statement.

  3. #3
    Join Date
    Apr 2008
    Posts
    29

    Arrow

    bash-3.00$ echo $CLASSPATH
    /clocal/udb/V9.1.4C/db2inst2/sqllib/java/db2java.zip:/clocal/udb/V9.1.4C/db2inst2/sqllib/java/db2jcc.jar:/clocal/udb/V9.1.4C/db2inst2/sqllib/java/db2jcc_license_cu.jar
    bash-3.00$ echo $PATH
    <COG_ROOT>/bin:/<WAS_HOME>/AppServer/java/jre/bin:/clocal/udb/V9.1.4C/db2inst2/sqllib/bin:/clocal/udb/V9.1.4C/db2inst2/sqllib/adm:/usr/bin:/etc:/usr/sbin:/usr/ucb:/home/cognos/bin:/usr/bin/X11:/sbin:.
    bash-3.00$ echo $LIBPATH
    <COG_ROOT>/bin:<COG_ROOT>/cgi-bin:/clocal/udb/V9.1.4C/db2inst2/sqllib/lib64:/<WAS_HOME>/AppServer/java/jre/lib

    What i understand from this error is that i can't use db2java.zip to connect to databases under 9.1.
    i tried using db2jcc.jar as well but the error remains same.

    My problem is this is not my application and its WAR file contains thousands of files ,from which its very difficult for me to find out where exactly the db connection is getting obtained.

    FYI: Same app was working previously for udb 8.1 (with db2java.zip).

    regards
    abhi

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •